#!/bin/sh
echo 'name: reactive
version: 0.11.5
id: reactive-0.11.5-a5b475d0f0ac208c57f120a48fd28d63

license: OtherLicense
copyright: (c) 2007-2009 by Conal Elliott
maintainer: conal@conal.net
stability: provisional
homepage: http://haskell.org/haskellwiki/reactive
package-url: http://code.haskell.org/reactive
synopsis: Push-pull functional reactive programming
description: /Reactive/ is a simple foundation for programming reactive systems
             functionally.  Like Fran\/FRP, it has a notions of (reactive) behaviors and
             events.  Unlike most previous FRP implementations, Reactive has a hybrid
             demand/data-driven implementation, as described in the paper \"Push-pull
             functional reactive programming\", <http://conal.net/papers/push-pull-frp/>.
             .
             This version of Reactive has some serious bugs that show up particularly
             with some uses of the Event monad.  Some problems have been due to bugs
             in the GHC run-time support for concurrency.  I do not know whether the
             remaining problems in Reactive are still more subtle RTS issues, or
             some subtle laziness bugs in Reactive.  Help probing the remaining
             difficulties is most welcome.
             .
             Import "FRP.Reactive" for FRP client apps.  To make a Reactive adapter for an
             imperative library, import "FRP.Reactive.LegacyAdapters".
             .
             Please see the project wiki page: <http://haskell.org/haskellwiki/reactive>
             .
             &#169; 2007-2009 by Conal Elliott; GNU AGPLv3 license (see COPYING).
             I am not thrilled with GPL, and I doubt I'\''ll stay with it for long.
             If you would like different terms, please talk to me.
             .
             With contributions from: Robin Green, Thomas Davie, Luke Palmer,
             David Sankel, Jules Bean, Creighton Hogg, Chuan-kai Lin, and Richard
             Smith.  Please let me know if I'\''ve forgotten to list you.
category: reactivity, FRP
author: Conal Elliott
exposed: True
exposed-modules: FRP.Reactive FRP.Reactive.Future
                 FRP.Reactive.PrimReactive FRP.Reactive.Reactive
                 FRP.Reactive.Behavior FRP.Reactive.Fun FRP.Reactive.Improving
                 FRP.Reactive.Num FRP.Reactive.VectorSpace
                 FRP.Reactive.Internal.Misc FRP.Reactive.Internal.Fun
                 FRP.Reactive.Internal.Future FRP.Reactive.Internal.Reactive
                 FRP.Reactive.Internal.Behavior FRP.Reactive.Internal.Clock
                 FRP.Reactive.Internal.Timing FRP.Reactive.Internal.Chan
                 FRP.Reactive.LegacyAdapters Data.AddBounds Data.Min Data.Max
                 Data.PairMonad FRP.Reactive.Internal.IVar
                 FRP.Reactive.Internal.Serial FRP.Reactive.Internal.TVal
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/reactive-0.11.5
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/reactive-0.11.5
              /usr/local/lib
hs-libraries: HSreactive-0.11.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.4.2-5e1b443b0b725755bf380173d85ffb73
         Stream-0.4.6-ec7923eb28cda75109786a7ddc7d66da
         TypeCompose-0.9.1-d7c9f1cbec17deea988376e0ce35fce0
         base-4.5.0.0-3459bca6d8e46666b517e8bb2e033728
         categories-1.0.3-56b50d1ab384601079c6cb00639d09a3
         checkers-0.2.9-764664bde718635567a699be9a380516
         comonad-1.1.1.6-32b2afd356b54f5c0cd583c224d8f2fe
         old-time-1.1.0.0-b77788a065c86ada9ba279afa5e04576
         pointed-2.1.0.2-28c1c084e5ec65f569ff051f96d7a4e1
         random-1.0.1.1-7f9342c90214b9289fdaf20c9e2f867f
         semigroups-0.8.3.2-608a60352745868d7816fbfb76870ddf
         unamb-0.2.5-4f69f538fa800dec6957ba74de8f2529
         vector-space-0.8.2-0fd651e4405dc313d532d2729a1f3361
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/reactive-0.11.5/html/reactive.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/reactive-0.11.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
